Get Contacts Batch

Get a batch of contacts by specifying a list of contact ids.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

For schema of contact object refer - Contact Data Model

This API may not return all fields defined in the response schema; for additional details, use the Get Contact by Id API.

Supported Apps

Apps supported via API

Salesforce (salesforce)

Supported Request Fields:

  • contactIds - Required
  • createdAfter
  • createdBefore
  • updatedAfter
  • updatedBefore
  • ownerId
  • createdById
  • accountId
  • email
  • pageToken
  • originData

Supported Response Fields:

  • contacts.info.id
  • contacts.info.firstName
  • contacts.info.lastName
  • contacts.info.description
  • contacts.info.industry
  • contacts.info.jobTitle
  • contacts.info.owner.id
  • contacts.info.owner.email
  • contacts.info.createdBy.id
  • contacts.info.createdBy.email
  • contacts.info.updatedAt
  • contacts.info.createdAt
  • contacts.info.lastActivityAt
  • contacts.info.account
  • contacts.addresses.addressLine1
  • contacts.addresses.city
  • contacts.addresses.state
  • contacts.addresses.country
  • contacts.addresses.zipCode
  • contacts.addresses.addressType
  • contacts.phones.type
  • contacts.phones.phoneNumber
  • contacts.emails.type
  • contacts.emails.email
  • contacts.customFields
  • nextPageToken
Hubspot (hubspot)

Supported Request Fields:

  • contactIds - Required
  • createdAfter
  • createdBefore
  • updatedAfter
  • updatedBefore
  • ownerId
  • createdById
  • accountId
  • email
  • pageSize
  • pageToken
  • originData

Supported Response Fields:

  • contacts.info.id
  • contacts.info.firstName
  • contacts.info.lastName
  • contacts.info.description
  • contacts.info.industry
  • contacts.info.jobTitle
  • contacts.info.owner.id
  • contacts.info.owner.email
  • contacts.info.createdBy.id
  • contacts.info.createdBy.email
  • contacts.info.updatedAt
  • contacts.info.createdAt
  • contacts.info.lastActivityAt
  • contacts.info.account
  • contacts.addresses.addressLine1
  • contacts.addresses.addressLine2
  • contacts.addresses.city
  • contacts.addresses.state
  • contacts.addresses.country
  • contacts.addresses.zipCode
  • contacts.addresses.addressType
  • contacts.phones.type
  • contacts.phones.phoneNumber
  • contacts.emails.type
  • contacts.emails.email
  • contacts.customFields
  • nextPageToken
Zoho CRM (zoho-crm)

Supported Request Fields:

  • contactIds - Required
  • createdAfter
  • createdBefore
  • updatedAfter
  • updatedBefore
  • ownerId
  • createdById
  • accountId
  • email
  • pageToken
  • originData

Supported Response Fields:

  • contacts.info.id
  • contacts.info.firstName
  • contacts.info.lastName
  • contacts.info.description
  • contacts.info.jobTitle
  • contacts.info.owner.id
  • contacts.info.owner.email
  • contacts.info.createdBy.id
  • contacts.info.createdBy.email
  • contacts.info.updatedAt
  • contacts.info.createdAt
  • contacts.info.lastActivityAt
  • contacts.info.account
  • contacts.addresses.addressLine1
  • contacts.addresses.city
  • contacts.addresses.state
  • contacts.addresses.country
  • contacts.addresses.zipCode
  • contacts.addresses.addressType
  • contacts.phones.type
  • contacts.phones.phoneNumber
  • contacts.emails.type
  • contacts.emails.email
  • nextPageToken
Microsoft Dynamics 365 Sales (msd-365-sales)

Supported Request Fields:

  • contactIds - Required
  • createdAfter
  • createdBefore
  • updatedAfter
  • updatedBefore
  • ownerId
  • createdById
  • accountId
  • email
  • pageToken
  • originData

Supported Response Fields:

  • contacts.info.id
  • contacts.info.firstName
  • contacts.info.lastName
  • contacts.info.description
  • contacts.info.jobTitle
  • contacts.info.owner.id
  • contacts.info.owner.email
  • contacts.info.createdBy.id
  • contacts.info.createdBy.email
  • contacts.info.updatedAt
  • contacts.info.createdAt
  • contacts.info.account
  • contacts.addresses.addressLine1
  • contacts.addresses.addressLine2
  • contacts.addresses.city
  • contacts.addresses.state
  • contacts.addresses.country
  • contacts.addresses.zipCode
  • contacts.addresses.addressType
  • contacts.phones.phoneNumber
  • contacts.emails.email
  • nextPageToken
  • originData
📘

To see the list of supported filters for an app, refer - CRM List Contact Filter Support Matrix

Note: To ensure optimal performance and reliability, we recommend limiting each request to a maximum of 100 IDs. Requests with a larger number of IDs may experience degraded performance or intermittent errors — if you need to fetch more, please split your list into batches of 100 or fewer.

Body Params
contactIds
array of strings
required
contactIds*
string
boolean
Defaults to false
date-time

Filters contacts who were created after the specified datetime. The datetime must be provided in ISO 8601 UTC format (yyyy-MM-dd'T'HH:mm:ss'Z').

date-time

Filters contacts who were created before the specified datetime. The datetime must be provided in ISO 8601 UTC format (yyyy-MM-dd'T'HH:mm:ss'Z').

date-time

Filters contacts who were updated after the specified datetime. The datetime must be provided in ISO 8601 UTC format (yyyy-MM-dd'T'HH:mm:ss'Z').

date-time

Filters contacts who were updated before the specified datetime. The datetime must be provided in ISO 8601 UTC format (yyyy-MM-dd'T'HH:mm:ss'Z').

ownerId
array of strings

Filters contacts by one or more owner Ids. Supports multiple values a list of string.

ownerId
createdById
array of strings

Filters contacts by one or more creator Ids. Supports multiple values a list of string.

createdById
accountId
array of strings

Filters contacts by one or more account Ids. Supports multiple values a list of string.

accountId
email
array of strings

Filters contacts by one or more emails. Supports multiple values a list of string.

email
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json